#include <stdio.h>
#include "DNSResolver.h"
void LOOKUP(DNSResolver *d,const char *hostname)
{
  time_t a,b;
  
  printf("\n");
  sockaddr_in addr;
  time(&a);
  status_t ret = d->Lookup(hostname,&addr,true);
  time(&b);
  printf("look up %s return %ld %f sec",hostname,ret,difftime(b,a));
  if (ret == B_OK)
  printf("IP is\t%s\n",inet_ntoa(addr.sin_addr));
  else
  printf("\n");
  printf("\n");
}
int main(int argc,char *argv[])
{
  DNSResolver *d = new DNSResolver(20);
  if (d->Init())
  {
    printf("Init OK\n");
    LOOKUP(d,"www.hotmail.com");
    LOOKUP(d,"yallara.cs.rmit.edu.au");
    LOOKUP(d,"bebox");
    LOOKUP(d,"www.google.com");
    LOOKUP(d,"www.hotmail.com");    
  }
  delete d;
  return 0;
}
