#include "HostInfoList.h"
HostInfoList::HostInfoList()
:BList()
{

}
HostInfoList::HostInfoList(HostInfoList&)
:BList()
{

}
HostInfoList::~HostInfoList()
{
  for (int i = 0;i < CountItems();i++)
  delete (HostInfoItem *) ItemAt(i);  
}

HostInfoList& HostInfoList::operator = (const HostInfoList &from)
{
  return *this;
}    

int32 HostInfoList::FindIP(uint32 ip)
{
  for (int i = 0;i < CountItems();i++)
  {
    HostInfoItem *item = (HostInfoItem *) ItemAt(i);
    if (item->IPAddress() == ip)
    return i;
  }
  return -1;
}

void HostInfoList::Sort()
{
  SortItems(&compareforsort);
}

int HostInfoList::compareforsort(const void *a,const void *b)
{
  HostInfoItem *itema = (HostInfoItem *) a;
  HostInfoItem *itemb = (HostInfoItem *) b;
  if (itema->TimeStamp() > itemb->TimeStamp())
  return -1;
  else if (itema->TimeStamp() < itemb->TimeStamp())
  return 1;
  return 0;
}