#include "HostNameList.h"
HostNameList::HostNameList(int32 size)
:BList(size)
{

}
HostNameList::HostNameList(HostNameList& list)
:BList(4)
{

}
HostNameList::~HostNameList()
{

}

HostNameList& HostNameList::operator = (HostNameList&)
{
  return *this;
}
    
int32 HostNameList::FindHostName(const char *hostname)
{
  // Binary Search //
  int l = 0;
  int h = CountItems() - 1;
  int i;
  HostInfoItem *item;
  while (l <= h)
  {
    i = (l + h) / 2;
    item = (HostInfoItem *) ItemAt(i);
    int c = strcmp(item->HostName(),hostname);
    if (c == 0)
    return i;
    else if (c < 0)
    l = i + 1;
    else 
    h = i - 1;
  }
  return -1;
}
int HostNameList::compareforsort(const void *a,const void *b)
{
/*
  HostInfoItem *item_a = (HostInfoItem *) a;
  HostInfoItem *item_b = (HostInfoItem *) b;
  return strcmp(item_a->HostName(),item_b->HostName());
*/  
  return ((HostInfoItem *) a)->CompareHostName(*((HostInfoItem *) b));
}
void HostNameList::Sort()
{
  SortItems(compareforsort);
}