#include "InProgressList.h"
InProgressList::InProgressList()
:DList()
{

}
InProgressList::InProgressList(InProgressList&)
:DList()
{

}
InProgressList::~InProgressList()
{
  DListIterator i;
  Begin(&i);
  while (!i.IsNULL())
  {
    delete (InProgressItem *) i.Value();
    ++i;
  }
}

void InProgressList::Remove(InProgressItem *value)
{
  DListIterator i;
  if (FindItem(value,&i))
  RemoveItem(&i);  
}
InProgressItem *InProgressList::FindItemByHostName(const char *hostname)
{
  InProgressItem *item;
  DListIterator i;
  Begin(&i);
  while (!i.IsNULL())
  {
    item = (InProgressItem *) i.Value();
    if (item == NULL)
    break;
    else if (item->IsHostName(hostname))
    return item;
    ++i;
  }
  return NULL;  
}        
InProgressList& InProgressList::operator = (InProgressList&)
{
  return *this;
}